/* GLOBAL STYLES
-------------------------------------------------- */
/* Padding below the footer and lighter body text */

html, body {
    margin: 0;
    padding: 0;
}

body {
  padding-bottom: 40px;
  color: #5a5a5a;
}

#nav {
  background-color: #889DB5;
  padding: 5px;
}

.nav-wrapper a{
  margin-left: 10px;
}

.nav-wrapper a:hover{
  color: #fff;
  text-decoration: none;
}

.main{
  padding: 5px;
}

.header{
  padding:10px;
  text-align: center;
  color: #607185;
}

.debugger{
    width: 100%;
    height: 100%;
    /*margin: 1px auto;*/
    /*border:1px solid #889DB5;*/
    padding:0px;
    overflow: scroll;
}


.top-bar{
    width: 100%;
    position: fixed; /* Set the navbar to fixed position */
    top: 0; /* Position the navbar at the top of the page */
    overflow: visible;
    display: inline-block;
    background-color: #fff;
    border-bottom: #607185 solid;
    z-index: 100;
}

.row{
    margin: 0px;
}

.footer{
  padding: 5px;
  text-align:center;
}

.graph{
    border: groove #889DB5;
    margin: 5px 0px;
    height: 750px;
    padding: 0px;
    /*Changes*/
}

.eventLog{
    border: groove #889DB5;
    width: 100%;
    margin: 10px;
    height: 590px;
    padding: 5px;
    overflow: scroll;
}

.eventDec{
    padding: 10px 10px 2px 10px;
}

#graphBox{
    padding-top: 95px;
    margin: 15px;
}

.graphBox h4{
    padding-left: 10px;
    width: 100%;
    overflow: scroll;
}

.eventLog ol{
    padding: 2px 5px 2px 60px;
}

#openList{
    border: groove #889DB5;
    width: 100%;
    margin: 10px;
    padding: 5px;
    overflow: scroll;

}

#closedList{
    border: groove #889DB5;
    width: 100%;
    margin: 10px;
    padding: 5px;
    overflow: scroll;
}

#legend{
    border: groove #889DB5;
    height: 250px;
    width: 100%;
    padding: 2px;
}

#legend ul li{
    padding: 2px;
}

#id1{
    width: 20px;
    height: 20px;
    background-color: #ffffff;
    display: inline-block;
    border: 1px solid #000000;
}

#id2{
    width: 20px;
    height: 20px;
    background-color: #000000;
    display: inline-block;
}

#id3{
    width: 20px;
    height: 20px;
    background-color: #5bc0de;
    display: inline-block;
}

#id4{
    width: 20px;
    height: 20px;
    background-color: #3b6ade;
    display: inline-block;
}

#id5{
    width: 20px;
    height: 20px;
    background-color: #b021ff;
    display: inline-block;
}

#id6{
    width: 20px;
    height: 20px;
    background-color: #ff0016;
    display: inline-block;
}

#id7{
    width: 20px;
    height: 20px;
    background-color: #09ff00;
    display: inline-block;
}

#id8{
    width: 20px;
    height: 20px;
    background-color: #ff7700;
    display: inline-block;
}


.btn{
    margin: 10px;
    background-color: #889DB5;
    height: 45px;
    width: 80px;
    /*padding: 0px 5px 0px 5px ;*/
}
.ovrBtn{
    margin: 5px;
    background-color: #2636b5;
    height: 45px;
    width: 60px;
    color: whitesmoke;
    stroke: white;
    stroke-width: 10px;
    border-radius: 9%;
    /*padding: 0px 5px 0px 5px ;*/
}
.ovrBtn i{
    font-size: 28px;
    padding: 0px;
    color: white;
}
.ovrBtn:active{
    background: #fff;
    color:black;
}

.uploadbtn{
    margin: 1%;
    width:150px;
    border-radius: 9%;
    background-color: #889DB5;
    color: whitesmoke;
}

.btn i{
    font-size: 28px;
    padding: 0px;
}

.btn:active{
    background: #fff;
}

.changeSpeed{
    width: 100%;
}

#eventList li:hover{
    background-color: #297ba4;
    color: #000;
}

#eventList li:focus{
    background-color: #297ba4;
    color: #000;
}

.modal .modal-footer{
    height: 70px;
}

#nameForm textarea {
    width: 100%;
    height: 100%;
    padding: 12px 20px;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-radius: 4px;
    background-color: #f8f8f8;
    font-size: 16px;
    resize: none;
}

.tab .btn{
    width: 100px;
    padding: 0px;
    margin: 0px;
}

.tab {
    padding: 5px;
}

.tabcontent {
    display: none;
    height: 600px;
}
.overTab {
    display: none;
}

/* Sourced from W3 schools at https://www.w3schools.com/howto/howto_css_switch.asp */
/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 47px;
    height: 17px;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider1 {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider1:before {
    position: absolute;
    content: "";
    height: 13px;
    width: 13px;
    left: 4px;
    bottom: 2px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}
input:checked + .slider1 {
    background-color: #2196F3;
}

input:focus + .slider1 {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider1:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider1.round {
    border-radius: 34px;
}

.slider1.round:before {
    border-radius: 50%;
}
label {
    color: #B4886B;
    font-weight: bold;
    display: block;
    width: 150px;
}
.NotSearched{
    fill: #ffffff
}
.Current{
    fill:#ff0016
}
.CurrentFrontier{
    fill:#b021ff
}
.expanded{
    fill:#00f6ff
}
.inFrontier{
    fill:#0032ff
}
.start{
    fill:#09ff00
}
.goal{
    fill:#ff7700
}

.line{
    stroke: #000000;
}
.lineActive{
    stroke-opacity: 1.0;
}
.line2{
    stroke: #000aff;
    fill:#000aff;
}
.line3{
    stroke: #ff0cbf;
}

.line1{
    stroke: #ffa700;
}

.line0{
    stroke:red;
    fill:red;

}
.path2{
    stroke: #000aff;
    stroke-opacity: 1;
    fill-opacity: 1;
}
.path3{
    stroke: #ff0cbf;
    stroke-opacity: 1;
    fill-opacity: 1;
}
.path1{
    stroke: #ffa700;
    stroke-opacity: 1;
    fill-opacity: 1;
}

.path0{
    stroke:red;
    stroke-opacity: 1;
    fill-opacity: 1;
}

.badPath{
    stroke:red;
    fill:red;
    stroke-opacity: 1;
    fill-opacity: 1;
}
.goodPath{
    stroke:green;
    fill:green;
    stroke-opacity: 1;
    fill-opacity: 1;
}
.main{
    stroke-opacity:0.4;
    fill-opacity:0.4;
}